.productDetailContainer {
  min-height: 100vh;
  padding: 0 2rem;
  display: grid;
  grid-template-columns: 1fr;
  gap: 2rem;
  margin-bottom: 1rem;
}

.productDetailWrapper {
  width: 100%;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
}

.productDetailWrapper > .contentLeft > .imgWrapper {
  display: flex;
  flex-direction: column;
}

.contentLeft > .imgWrapper > .mainImg {
  border-radius: var(--bor-rad-16);
  overflow: hidden;
  width: 100%;
  height: 500px;
  margin: auto;
}
.contentLeft > .imgWrapper > .arraySubImg {
  display: flex;
  align-items: center;
  justify-content: space-around;
  gap: 1rem;
  margin-top: 1rem;
}

.contentLeft > .imgWrapper > .arraySubImg > .subImgWrapper {
  --size-img: 120px;
  height: var(--size-img);
  width: var(--size-img);
  border-radius: var(--bor-rad-10);
  overflow: hidden;
  cursor: pointer;
}

.contentLeft > .imgWrapper > .arraySubImg > .subImgWrapper > img {
  transition: var(--transition-all);
}

.contentLeft > .imgWrapper > .arraySubImg > .subImgWrapper:hover > img {
  transform: rotate(20deg) scale(1.4);
}

.contentLeft > .imgWrapper > .arraySubImg > .subImgWrapper.active {
  border: 3px solid var(--orange-color);
  -webkit-box-shadow: var(--normal-shadow);
  -moz-box-shadow: var(--normal-shadow);
  box-shadow: var(--normal-shadow);
}

/* Content Right */
.contentRight {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.contentRight > .title {
  font-size: 2.5rem;
  font-weight: 700;
  text-transform: capitalize;
}
.contentRight > .desc {
  display: flex;
  font-size: 1.5rem;
  font-weight: 600;
}
.contentRight > .categories {
  display: flex;
  gap: 1rem;
}

.contentRight > .buttonGroup {
  display: flex;
  gap: 2rem;
}

.contentRight > .buttonGroup > .buttonQuantity {
  display: flex;
  gap: 0.5rem;
  align-items: center;
}

.contentRight > .buttonGroup > .buttonQuantity > .quantity {
  font-size: 2rem;
  font-weight: 600;
}

.contentRight > .buttonGroup > .addToCardButton {
  color: var(--white-color);
  background-color: var(--orange-light-color);
}

.contentRight > .buttonGroup > .addToCardButton:hover {
  color: var(--black-color);
  background-color: var(--white-color);
}
